Highlighted

Invalid Architectures error with Enhance SDK

Contributor ,
May 29, 2019

Copy link to clipboard

Copied

I know there's a few threads about this error, just wanted to know if anyone knows how to get around this particular case.

I was able to re-publish two older apps with AIR 32.0.0.116

And they were uploaded without errors and today they were approved for sale.

The minimum OS version in the plist file is set to 8.0

A big thank you to the Adobe AIR team for making this happen. Much appreciated!

But the app I'm really wanting to publish got rejected with the error:

Invalid architectures - This app has invalid architecture, and may have been built with invalid build settings or incompatible tools. Try rebuilding the app with the latest Xcode version. If you are using third party development tools, contact the provider.

The difference with this one is that I am using Enhance SDK.

The plist file still says minimum OS is 8.0 (I tried editing the xml file to 9.0 but that didn't help)

But something is still making apple mad and I'm wondering if anyone knows what it could be, how I could check and how I could fix it?

So!  I realized I wasn't using the latest Enhance files, just ones from a few months ago.  So I made sure to get the new ones, re-did everything and the file was accepted!  My mistake!

So the answer in this case is: Enhance already has this taken care of in the latest documentation.  Thanks Enhance!

TOPICS
Development

Views

203

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more

Invalid Architectures error with Enhance SDK

Contributor ,
May 29, 2019

Copy link to clipboard

Copied

I know there's a few threads about this error, just wanted to know if anyone knows how to get around this particular case.

I was able to re-publish two older apps with AIR 32.0.0.116

And they were uploaded without errors and today they were approved for sale.

The minimum OS version in the plist file is set to 8.0

A big thank you to the Adobe AIR team for making this happen. Much appreciated!

But the app I'm really wanting to publish got rejected with the error:

Invalid architectures - This app has invalid architecture, and may have been built with invalid build settings or incompatible tools. Try rebuilding the app with the latest Xcode version. If you are using third party development tools, contact the provider.

The difference with this one is that I am using Enhance SDK.

The plist file still says minimum OS is 8.0 (I tried editing the xml file to 9.0 but that didn't help)

But something is still making apple mad and I'm wondering if anyone knows what it could be, how I could check and how I could fix it?

So!  I realized I wasn't using the latest Enhance files, just ones from a few months ago.  So I made sure to get the new ones, re-did everything and the file was accepted!  My mistake!

So the answer in this case is: Enhance already has this taken care of in the latest documentation.  Thanks Enhance!

TOPICS
Development

Views

204

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
May 29, 2019 0
Advocate ,
May 30, 2019

Copy link to clipboard

Copied

That means that at least one of the ANEs that you package with your app have a lower minimum iOS SDK than 8.0. The fix will be to update or replace those ANEs so that all of the packaged ANEs have a minimum iOS SDK set to 8.0 or higher.

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
Reply
Loading...
May 30, 2019 0
Contributor ,
May 30, 2019

Copy link to clipboard

Copied

I've contacted Enhance and they said they'll pass the message on to their engineers.  But with no other help for the time being, is there any way I can fix this myself?  Where in the ipa is the version set?  Is it just the plist file or are there other places?  Although, I've tried editing this file before and renaming the file back to ipa from zip but apple rejected the file and gave the error that the plist file had been edited so I guess that's not even possible?

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
Reply
Loading...
May 30, 2019 0
Contributor ,
May 30, 2019

Copy link to clipboard

Copied

So!  I realized I wasn't using the latest Enhance files, just ones from a few months ago.  So I made sure to get the new ones, re-did everything and the file was accepted!  My mistake!

So the answer in this case is: Enhance already has this taken care of in the latest documentation.  Thanks Enhance!

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
Reply
Loading...
May 30, 2019 0